## org.apache.lucene.search.spell
Class SuggestWordFrequencyComparator

    java.lang.Object
      org.apache.lucene.search.spell.SuggestWordFrequencyComparator

All Implemented Interfaces:
  Comparator<SuggestWord>

    public class SuggestWordFrequencyComparator

extends Object
implements Comparator<SuggestWord>

Frequency first, then score. Must have

Constructor Summary
`SuggestWordFrequencyComparator()`

Method Summary
`int` `compare(SuggestWord first, SuggestWord second)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Constructor Detail

### SuggestWordFrequencyComparator

    public SuggestWordFrequencyComparator()

Method Detail

### compare

    public int compare(SuggestWord first,
                       SuggestWord second)

  Specified by:
    `compare` in interface `Comparator<SuggestWord>`